Page MenuHomePhabricator

Stale z9 map tile in Vietnamese
Closed, ResolvedPublic

Description

This map tile in Vietnamese at zoom level 9 has not been updated in several months.

On April 26, I corrected the Vietnamese name of a major city in Vietnam from “Da Nang” to “Đà Nẵng”. Wikimedia Maps correctly updated tiles at z10 and above but not at z9 and below. Since T194787 , most zoom levels have since been updated, but for some reason z9 never got regenerated. This thread suggests T159977 might help, but @MSantos suggested that I open this task anyways to ensure that it gets fixed.

Event Timeline

mxn created this task.Aug 18 2018, 5:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2018, 5:47 PM
mxn updated the task description. (Show Details)Aug 18 2018, 5:48 PM

Change 462918 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[operations/puppet@production] Fix: Regenerate map tiles up to zoom level 9 with notify-tilerator-regen

https://gerrit.wikimedia.org/r/462918

Mholloway triaged this task as High priority.

Triaging this as high priority as it seems we're not currently regenerating zoom level 9.

Change 462918 merged by Gehel:
[operations/puppet@production] Fix: Regenerate map tiles up to zoom level 9 with notify-tilerator-regen

https://gerrit.wikimedia.org/r/462918

Change 463542 had a related patch set uploaded (by MSantos; owner: MSantos):
[operations/puppet@production] Fix: Regenerate map tiles up to zoom level 9

https://gerrit.wikimedia.org/r/463542

I found one of the issues, when using expdirpath, statefile and expmask as parameters for tileshell.js we are saying that tilerator should generate tiles listed on expire.list.*. The more recent file has only z15 files. Thus, according to the documentation, the tiles with different zooms are never going to be generated.

Tilerator will convert this file into a list of indexes, sort/deduplicate them, and schedule all the needed jobs. Use fromZoom and beforeZoom to invalidate more than just the zoom level given in the file. Note that if the zoom range is given, only those zooms will be regenerated.

That's why z0-z9 tiles are not beeing generated. Removing the aforementioned parameters forces tilerator to do tile expiration and regeneration of all needed zoom levels. I wrote a patch to fix this.

Thanks, @MSantos. The patch looks good to me and will hopefully be merged soon.

In the meantime I've regenerated z0-9 on maps2001 and purged the Varnish cache for the case in the description, which is now fixed.

Mholloway reassigned this task from Mholloway to MSantos.Oct 1 2018, 4:47 PM
Mholloway added a subscriber: Mholloway.

Change 463542 merged by Gehel:
[operations/puppet@production] Fix: Regenerate map tiles up to zoom level 9

https://gerrit.wikimedia.org/r/463542

Change 463962 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: change date of job to regenerate high level tiles

https://gerrit.wikimedia.org/r/463962

Change 463962 merged by Gehel:
[operations/puppet@production] maps: change date of job to regenerate high level tiles

https://gerrit.wikimedia.org/r/463962

MSantos closed this task as Resolved.Oct 3 2018, 9:38 PM

The new script ran successfully and the issue seems to be fixed. Please reopen if needed.